#!/usr/bin/ruby
#
# tds2tdm.rb
# TDS`t@CtDiary`ɕϊ()
# Copyright (c) 2004 Yaya

Version = 0.20

#
# Usage: ruby tds2td.rb yyyy tds_month_dir [out_file]
#

require "tds2tdd"

#
# Pʂɕϊ
class TDS2tDiaryByMonth
	#
	# ϊ
	def convert(yyyy, tds_month_dir)
		@yyyy = yyyy;
		@mm = tds_month_dir.match(/.*(\d\d)/)[1]

		tds2td = TDS2tDiaryByDay.new

		text = tds2td.top_header
		Dir::glob("#{tds_month_dir}/??.tdf"){ |filename|
			text << tds2td.convert(@yyyy, @mm, filename)
		}
		text
	end
	
	#
	# t@Co
	def write(out_file, text)
		out_file ||= "#{@yyyy}#{@mm}.td2"
		f = open(out_file, 'wb')
		f.print text
		f.close
	end
end


#
# ڌĂ΂ꂽꍇ̃C[`
if $0 == __FILE__
	# `FbN
	if ARGV.size < 2
		puts <<"END_OF_TEXT"
tds2td.rb - ver #{Version}
Usage: ruby tds2td.rb yyyy tds_month_dir [out_file]
END_OF_TEXT
		exit
	end

	yyyy = ARGV.shift							# N
	dirname = ARGV.shift						# L()fBNg
	outfile = ARGV.shift						# o̓t@C

	# TDStDiary`ϊ
	tds2td = TDS2tDiaryByMonth.new
	text = tds2td.convert(yyyy, dirname)
	tds2td.write(outfile, text)
end

